Skip to main content
PATCH
Update an Evaluator

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
type
string

Evaluator type. Optional on update — inferred from existing evaluator.

path
string

Project path. Optional on update — uses existing project if omitted.

Example:

"Default"

key
string
Minimum string length: 1
Pattern: ^[a-zA-Z0-9]([a-zA-Z0-9_-]*[a-zA-Z0-9])?$
description
string
prompt
string
output_type
string
categories
string[] | null
categorical_labels
object[] | null
repetitions
number
mode
enum<string>
Available options:
single,
jury
model
string
jury
object
schema
string
url
string
method
string
headers
object
payload
object
code
string
guardrail_config
Boolean · object
versionIncrement
enum<string>
Available options:
major,
minor,
patch
versionDescription
string

Response

Successfully updated an eval

_id
string
required
description
string
required
type
enum<string>
required
Available options:
llm_eval
prompt
string
required
key
string
required
Minimum string length: 1
Pattern: ^[a-zA-Z0-9]([a-zA-Z0-9_-]*[a-zA-Z0-9])?$
mode
enum<string>
required
Available options:
single
model
string
required
created
string
default:2026-06-10T10:08:15.342Z
updated
string
default:2026-06-10T10:08:15.342Z
updated_by_id
string | null
guardrail_config
Boolean · object
repetitions
integer | null
Required range: 1 <= x <= 3
categories
string[] | null
categorical_labels
object[] | null
dataset_id
string